package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;
import java.util.List;

public class PracticeGroupStatisDto {
    private List<PracticeGroupsDto> practiceGroupsDtoList;
    private BigDecimal totalMoney;
    private Integer totalNum = 0;
    private Integer buyNum = 0;
    private Integer renewNum = 0;
    private Integer overNum = 0;
    private Integer reportNum = 0;
    private BigDecimal buyScale;
    private Integer monthBuyNums = 0;
    private Integer monthRenewNums = 0;
    private BigDecimal monthBuyMoney = BigDecimal.ZERO;
    private BigDecimal monthRenewMoney= BigDecimal.ZERO;

    public PracticeGroupStatisDto() {
    }

    public List<PracticeGroupsDto> getPracticeGroupsDtoList() {
        return practiceGroupsDtoList;
    }

    public void setPracticeGroupsDtoList(List<PracticeGroupsDto> practiceGroupsDtoList) {
        this.practiceGroupsDtoList = practiceGroupsDtoList;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    public Integer getBuyNum() {
        return buyNum;
    }

    public void setBuyNum(Integer buyNum) {
        this.buyNum = buyNum;
    }

    public Integer getOverNum() {
        return overNum;
    }

    public void setOverNum(Integer overNum) {
        this.overNum = overNum;
    }

    public Integer getReportNum() {
        return reportNum;
    }

    public void setReportNum(Integer reportNum) {
        this.reportNum = reportNum;
    }

    public BigDecimal getBuyScale() {
        return buyScale;
    }

    public void setBuyScale(BigDecimal buyScale) {
        this.buyScale = buyScale;
    }

    public Integer getRenewNum() {
        return renewNum;
    }

    public void setRenewNum(Integer renewNum) {
        this.renewNum = renewNum;
    }

    public Integer getMonthBuyNums() {
        return monthBuyNums;
    }

    public void setMonthBuyNums(Integer monthBuyNums) {
        this.monthBuyNums = monthBuyNums;
    }

    public Integer getMonthRenewNums() {
        return monthRenewNums;
    }

    public void setMonthRenewNums(Integer monthRenewNums) {
        this.monthRenewNums = monthRenewNums;
    }

    public BigDecimal getMonthBuyMoney() {
        return monthBuyMoney;
    }

    public void setMonthBuyMoney(BigDecimal monthBuyMoney) {
        this.monthBuyMoney = monthBuyMoney;
    }

    public BigDecimal getMonthRenewMoney() {
        return monthRenewMoney;
    }

    public void setMonthRenewMoney(BigDecimal monthRenewMoney) {
        this.monthRenewMoney = monthRenewMoney;
    }
}
